﻿/*
 * SelectedEventEntry.cs
 * Copyright (c) 2008-2009 kbinani
 *
 * This file is part of Boare.Cadencii.
 *
 * Boare.Cadencii is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * Boare.Cadencii is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
using System;

using Boare.Lib.Vsq;

namespace Boare.Cadencii {

    class SelectedEventEntry {
        private VsqEvent m_original;
        private VsqEvent m_editing;
        private int m_order;

        public SelectedEventEntry( VsqEvent original, VsqEvent editing, int order ) {
            m_original = original;
            m_editing = editing;
            m_order = order;
        }


        public int Order {
            get {
                return m_order;
            }
            set {
                m_order = value;
            }
        }


        public VsqEvent Original {
            get {
                return m_original;
            }
            set {
                m_original = value;
            }
        }


        public VsqEvent Editing {
            get {
                return m_editing;
            }
            set {
                m_editing = value;
            }
        }
    }

}